From: "Luca Barbato" <lu_zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/aravis/
Date: Sun, 3 Jun 2018 15:25:05 +0000 (UTC) [thread overview]
Message-ID: <1528039200.3b265485a5e7bb6ad4d51e505c58ef18569ad0bf.lu_zero@gentoo> (raw)
commit: 3b265485a5e7bb6ad4d51e505c58ef18569ad0bf
Author: Luca Barbato <lu_zero <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 3 15:18:19 2018 +0000
Commit: Luca Barbato <lu_zero <AT> gentoo <DOT> org>
CommitDate: Sun Jun 3 15:20:00 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b265485
media-video/aravis: Version bump
Compatible with recent gstreamer
Package-Manager: Portage-2.3.40, Repoman-2.3.9
media-video/aravis/Manifest | 1 +
media-video/aravis/aravis-0.5.10.ebuild | 72 +++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/media-video/aravis/Manifest b/media-video/aravis/Manifest
index 7add736795d..4aabcff0187 100644
--- a/media-video/aravis/Manifest
+++ b/media-video/aravis/Manifest
@@ -1,2 +1,3 @@
DIST aravis-0.1.14.tar.xz 414932 BLAKE2B ea4c443297c5b8d2caf1cc944519bb274998acd6a6e6074ef1099a505296bd92fc264dcdb304bd34b75b3347a7522aedbad6cbc16cbef875627252a856691509 SHA512 d84fe519074a69e679b08e0c0933bce191e50cfcdd1b46b743aa68ba33445a3a87cbd1701ba424666b638949f9faf531ec668acbe5d22017712f70cfa9620ea9
DIST aravis-0.1.15.tar.xz 448348 BLAKE2B 0a20aab1e434999ab1d08ae55c2654ca4809be2f9d64b65729ce14977b724ba864513dcb652c6ccda3d768b9fe47e5c4cc3951ee716a4d34915768651a814830 SHA512 f6a2e1f7fa4f712bea6a91f896bbc92afb3dcf3146109f3f7aee2ad6812a69f0b47a0f2116062cba6163dc058c7981a01a6eec395d4af633da666fe186291929
+DIST aravis-0.5.10.tar.xz 540700 BLAKE2B f12a2bfa2bf8ac1875b28ec0549e5ebe3e5eb1cd646e417acc52a760546343893e19d7fb13741799346286dc69d9ecf2a7d7a3c9ada6ffefafab5c6450468848 SHA512 27a182a8fce66416e14baa16609b91307683613fab9324c96f94b9a7dd956ba0d60f5c966b2ec5184374ab8f9f527ad4d7733dffd2c40faa409ff196c344eb29
diff --git a/media-video/aravis/aravis-0.5.10.ebuild b/media-video/aravis/aravis-0.5.10.ebuild
new file mode 100644
index 00000000000..9dc8fa93266
--- /dev/null
+++ b/media-video/aravis/aravis-0.5.10.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit versionator
+
+KEYWORDS="~amd64"
+
+if [[ ${PV} == "9999" ]]; then
+ KEYWORDS=""
+ EGIT_REPO_URI="git://git.gnome.org/aravis"
+ EGIT_COMMIT="${aravis_LIVE_COMMIT:-master}"
+ inherit git-2 autotools
+fi
+
+DESCRIPTION="Library for video acquisition using Genicam cameras"
+HOMEPAGE="https://live.gnome.org/Aravis"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+IUSE="X gstreamer caps"
+
+GST_DEPEND="media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0"
+
+RDEPEND=">=dev-libs/glib-2.26
+ dev-libs/libxml2
+ X? (
+ >=x11-libs/gtk+-3.12:3
+ ${GST_DEPEND}
+ media-libs/gst-plugins-base:1.0
+ x11-libs/libnotify
+ )
+ caps? (
+ sys-libs/libcap-ng
+ sys-process/audit
+ )
+ gstreamer? ( ${GST_DEPEND} )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ dev-libs/gobject-introspection"
+
+if [[ -z ${EGIT_COMMIT} ]]; then
+ SRC_URI="mirror://gnome/sources/${PN}/$(get_version_component_range 1-2)/${P}.tar.xz"
+else
+ DEPEND+=" dev-util/gtk-doc dev-util/intltool"
+fi
+
+src_prepare() {
+ if [[ -n ${EGIT_COMMIT} ]]; then
+ intltoolize || die
+ gtkdocize || die
+ eautoreconf
+ fi
+}
+
+src_configure() {
+ econf \
+ --disable-silent-rules \
+ --disable-static \
+ $(use_enable X viewer) \
+ $(use_enable gstreamer gst-plugin) \
+ $(use_enable caps packet-socket) \
+ --enable-introspection
+}
+
+src_install() {
+ emake install DESTDIR="${D}" aravisdocdir="/usr/share/doc/${PF}"
+ find "${D}" -name '*.la' -delete
+}
next reply other threads:[~2018-06-03 15:25 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-03 15:25 Luca Barbato [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-06-03 15:36 [gentoo-commits] repo/gentoo:master commit in: media-video/aravis/ Luca Barbato
2018-06-03 15:46 Andreas Sturmlechner
2018-06-17 14:11 Pacho Ramos
2018-06-17 14:11 Pacho Ramos
2019-01-15 15:21 Luca Barbato
2019-09-07 13:34 Luca Barbato
2019-09-07 13:34 Luca Barbato
2019-09-07 13:34 Luca Barbato
2019-09-07 13:34 Luca Barbato
2019-09-07 13:34 Luca Barbato
2019-09-19 6:47 Michał Górny
2019-11-01 13:37 Joonas Niilola
2019-11-01 13:37 Joonas Niilola
2021-01-01 3:32 Sam James
2024-01-31 19:12 Sam James
2025-04-24 18:23 Sam James
2025-04-24 18:23 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1528039200.3b265485a5e7bb6ad4d51e505c58ef18569ad0bf.lu_zero@gentoo \
--to=lu_zero@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox